## lilyterm-0.8.5.tar.gz

=== src/Makefile ===
bindir = /usr/bin
etcdir = /etc/xdg
datadir = /usr/share
CC = gcc
CFLAGS = $$CFLAGS -Wall -g

INCLUDES = -DUSE_TIMEOUT_SECONDS \
	   -DENABLE_TAB_REORDER \
	   -DENABLE_SELECT_ALL \
	   -DPACKAGE_NAME=\"LilyTerm\" \
	   -DPACKAGE=\"lilyterm\" \
	   -DVERSION=\"0.8.5\" \
	   -DPACKAGE_BUGREPORT=\"tetrlet@gmail.com\" \
	   -DLOCALEDIR=\"$(datadir)/locale\" \
	   -DICONDIR=\"$(datadir)/pixmaps\"

.PHONY: all
all: debug
	strip lilyterm

menu.o: data.h menu.h menu.c
	$(CC) $(CFLAGS) $(INCLUDES) -c menu.c `pkg-config --cflags gtk+-2.0`

profile.o: data.h profile.h profile.c
	$(CC) $(CFLAGS) $(INCLUDES) -c profile.c `pkg-config --cflags gtk+-2.0`

dialog.o: data.h dialog.h dialog.c
	$(CC) $(CFLAGS) $(INCLUDES) -c dialog.c `pkg-config --cflags gtk+-2.0`

pagename.o: data.h pagename.h pagename.c
	$(CC) $(CFLAGS) $(INCLUDES) -c pagename.c `pkg-config --cflags gtk+-2.0`

vtefont.o: data.h vtefont.h vtefont.c
	$(CC) $(CFLAGS) $(INCLUDES) -c vtefont.c `pkg-config --cflags gtk+-2.0`

notebook.o: data.h notebook.h notebook.c
	$(CC) $(CFLAGS) $(INCLUDES) -c notebook.c `pkg-config --cflags gtk+-2.0`

main.o: data.h main.h main.c
	$(CC) $(CFLAGS) $(INCLUDES) -c main.c `pkg-config --cflags gtk+-2.0`

.PHONY: clean
clean:
	-rm lilyterm
	-rm *.o
	-rm ../po/*.mo

.PHONY: install
install:
	install lilyterm $(bindir)
	mkdir -p $(etcdir)
	install ../data/$(PACKAGE).rc $(etcdir)
	mkdir -p $(datadir)/pixmaps
	install ../data/lilyterm.png $(datadir)/pixmaps
	mkdir -p $(datadir)/doc/$(PACKAGE)/examples
	install ../data/$(PACKAGE).rc $(datadir)/doc/$(PACKAGE)/examples
	mkdir -p $(datadir)/locale/zh_TW/LC_MESSAGES/
	install ../po/zh_TW.mo $(datadir)/locale/zh_TW/LC_MESSAGES/lilyterm.mo

.PHONY: uninstall
uninstall:
	-rm -f $(bindir)/lilyterm
	-rm -f $(etcdir)/$(PACKAGE).rc
	-rmdir $(etcdir)
	-rm -f $(datadir)/pixmaps/lilyterm.png
	-rmdir $(datadir)/pixmaps
	-rm -f $(datadir)/doc/$(PACKAGE)/examples/$(PACKAGE).rc
	-rmdir -p $(datadir)/doc/$(PACKAGE)/examples
	-rm -f $(datadir)/locale/zh_TW/LC_MESSAGES/lilyterm.mo
	-rmdir -p $(datadir)/locale/zh_TW/LC_MESSAGES

.PHONY: po
po:
	xgettext --from-code=UTF-8 -k_ -o ../po/lilyterm.pot *.c
	msgmerge ../po/zh_TW.po ../po/lilyterm.pot -o ../po/zh_TW.po
	msgfmt --check --statistics ../po/zh_TW.po -o /dev/null

.PHONY: debug
debug: menu.o profile.o dialog.o vtefont.o pagename.o notebook.o main.o
	$(CC) $(CFLAGS) -o lilyterm menu.o profile.o dialog.o pagename.o vtefont.o notebook.o main.o `pkg-config --cflags --libs gtk+-2.0 vte`
	msgfmt -o ../po/zh_TW.mo ../po/zh_TW.po

=== debian/changelog ===
lilyterm (0.8.5-1) unstable; urgency=low

  * Initial release

 -- Lu, Chao-Ming (Tetralet) <tetralet@luna.com.tw>  Wed, 12 Mar 2008 00:14:27 +0800

=== debian/control ===
Source: lilyterm
Section: x11
Priority: extra
Maintainer: Lu, Chao-Ming (Tetralet) <tetralet@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev (>= 2.6), libvte-dev, gettext, libxml-parser-perl
Standards-Version: 3.7.2
Homepage: http://lily.luna.com.tw

Package: lilyterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: a tiny libvte based x-terminal-emulator
 lilyterm is a tiny and easy to use libvte based x-terminal-emulator.
   * drag and drop multi tab
   * transparent background and background_saturation
   * foreground_color and background_color
   * full support for UTF-8. (based on libvte and libgtk2)
   * use the system locale encoding
   * switching encoding by right click
   * a dirty patch for Chinese IMs.
   * configure file: ~/.config/lilyterm.rc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/lilyterm.sgml > lilyterm.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd src && $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/lilyterm.
	$(MAKE) DESTDIR=$(CURDIR)/debian/lilyterm install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_desktop
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
